import { ChangeDetectorRef, ElementRef, EventEmitter } from '@angular/core';
import { UntypedFormControl, UntypedFormGroup } from '@angular/forms';
import { FormArray, FormGroup } from '@ngneat/reactive-forms';
import { ObserveResizeService } from 'angular-container-media-query';
import * as i0 from "@angular/core";
export declare class DayRangeEditComponent {
    form: any;
    name: string;
    special: boolean;
    cleared: boolean;
    readonly: boolean;
    editClicked: EventEmitter<any>;
    propertyEditClass: boolean;
    large: boolean;
    constructor(resize: ObserveResizeService, elementRef: ElementRef, changeDetector: ChangeDetectorRef);
    add(group: UntypedFormGroup): void;
    remove({ group, range }: {
        group: UntypedFormGroup;
        range: UntypedFormGroup;
    }): void;
    get datesForm(): UntypedFormControl;
    get openingDaysForm(): FormArray<FormGroup<any>>;
    get collapsed(): boolean;
    get firstText(): string;
    toggle(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DayRangeEditComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DayRangeEditComponent, "ax-day-range-edit", never, { "form": { "alias": "form"; "required": false; }; "name": { "alias": "name"; "required": false; }; "special": { "alias": "special"; "required": false; }; "cleared": { "alias": "cleared"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; }, { "editClicked": "editClicked"; }, never, never, false, never>;
}
